Test and verify DNS settings for a domain

Test and verify that the DNS settings for a specific domain are correctly configured on a given nameserver. This is useful when you have made changes to DNS settings and want to ensure they are propagating correctly and are reachable.

Domain Services DNS

Context

Query Parameters

domain string required · Example: example.com
nameserver string required · Example: example.com

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.averageResponseTime integer required · Example: 1
data.domain string required · Example: example.com
data.nameserver string required · Example: example.com
data.nameserverIp string required · Example: 192.0.0.1
data.status string · enum required · Example: healthy
failed
healthy
partial
data.success boolean required · Example: true

True for successful responses.

data.tests array<object> required · Example: [{"type":"A","success":true,"responseTime":1,"recordCount":1,"records":["192.0.0.1"]},{...
data.tests[].error string · Example: queryAaaa ENODATA example.com

HTTP status title (e.g. 'Bad Request').

data.tests[].recordCount integer · Example: 1
data.tests[].records array<any> · Example: ["192.0.0.1"]
data.tests[].responseTime integer required · Example: 1
data.tests[].success boolean required · Example: true

True for successful responses.

data.tests[].type string · enum required · Example: A
A
AAAA
MX
NS
TXT
data.timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/dns-test
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/dns-test?domain=example.com&nameserver=example.com" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "nameserver": "example.com",
    "nameserverIp": "192.0.0.1",
    "domain": "example.com",
    "tests": [
      {
        "type": "A",
        "success": true,
        "responseTime": 1,
        "recordCount": 1,
        "records": [
          "192.0.0.1"
        ]
      },
      {
        "type": "AAAA",
        "success": false,
        "responseTime": 1,
        "error": "queryAaaa ENODATA example.com"
      },
      {
        "_truncated": "... and 4 more items"
      }
    ],
    "averageResponseTime": 1,
    "status": "healthy",
    "timestamp": "2026-02-10T00:00:00.000Z"
  }
}